LibreOffice LibreOffice 24.2 SDK C/C++ API Reference

Loading...
Searching...
No Matches
Classes | Namespaces | Functions
bootstrap.hxx File Reference
`#include "sal/config.h"`
`#include "com/sun/star/uno/Reference.h"`
`#include "rtl/ustring.hxx"`
`#include "sal/types.h"`
`#include "cppuhelper/cppuhelperdllapi.h"`

Go to the source code of this file.

## Classes
class | cppu::BootstrapException
| An exception indicating a bootstrap error. More...

## Namespaces
namespace | com
namespace | com::sun
namespace | com::sun::star
namespace | com::sun::star::container
namespace | com::sun::star::uno
namespace | cppu

## Functions
CPPUHELPER_DLLPUBLIC sal_Bool | cppu::installTypeDescriptionManager (css::uno::Reference< css::container::XHierarchicalNameAccess > const &xTDMgr)
| Installs type description manager instance, i.e.
CPPUHELPER_DLLPUBLIC css::uno::Reference< css::uno::XComponentContext > | cppu::defaultBootstrap_InitialComponentContext ()
| Bootstraps an initial component context with service manager upon information from bootstrap variables.
CPPUHELPER_DLLPUBLIC css::uno::Reference< css::uno::XComponentContext > | cppu::defaultBootstrap_InitialComponentContext (const ::rtl::OUString &iniFile)
| Bootstraps an initial component context with service manager upon information from an ini file.
CPPUHELPER_DLLPUBLIC css::uno::Reference< css::uno::XComponentContext > | cppu::bootstrap ()
| Bootstraps the component context from a UNO installation.